Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonViewClass

    griffon.core.ApplicationHandler
      griffon.core.GriffonViewClass
          griffon.core.GriffonClass

All Superinterfaces:
  ApplicationHandler, GriffonClass

    public interface GriffonViewClass
    extends GriffonClass

Represents a View class in Griffon.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`String` | `TRAILING` "View"
`String` | `TYPE` "view"

Fields inherited from interface GriffonClass
STANDARD_PROPERTIES

Method Summary

Methods inherited from interface GriffonClass
getArtifactType, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, newInstance

Methods inherited from interface ApplicationHandler
getApp

Field Detail

### TRAILING

    public String TRAILING

  "View"

### TYPE

    public String TYPE

  "view"

Groovy Documentation